Get parameters for constructing a new transaction | Algorand Developer Portal

Get parameters for constructing a new transaction

GET

/v2/transactions/params

Authorizations

Responses

200

TransactionParams contains the parameters that help a client construct a new transaction.

Select media type application/json

TransactionParams contains the parameters that help a client construct a new transaction.

object

consensus-version
required
ConsensusVersion indicates the consensus protocol version as of LastRound.

string

fee
required
Fee is the suggested transaction fee.
Fee is in units of micro-Algos per byte.
Fee may fall to zero but transactions must still have a fee of at least MinTxnFee for the current network protocol.

integer

genesis-hash
required
GenesisHash is the hash of the genesis block.

string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

genesis-id
required
GenesisID is an ID listed in the genesis block.

string

last-round
required
LastRound indicates the last round seen

integer

min-fee
required
The minimum transaction fee (not per byte) required for the txn to validate for the current network protocol.

integer

401

Invalid API Token

Select media type application/json

An error response with optional data field.

object

data

object

message
required
string

500

Internal Error

Select media type application/json

An error response with optional data field.

object

data

object

message
required
string

503

Service Temporarily Unavailable

Select media type application/json

An error response with optional data field.

object

data

object

message
required
string

default

Unknown Error